/////////////////////////////////////////////////////////////////////////////
// Name:        xh_text.cpp
// Purpose:     XML resource for wxTextCtrl
// Author:      Aleksandras Gluchovas
// Created:     2000/03/21
// RCS-ID:      $Id: xh_text.cpp,v 1.2 2001/11/21 15:37:45 georgetasker Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////
 
#ifdef __GNUG__
#pragma implementation "xh_text.h"
#endif

// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#include "wx/xrc/xh_text.h"
#include "wx/textctrl.h"

wxTextCtrlXmlHandler::wxTextCtrlXmlHandler() : wxXmlResourceHandler() 
{
    ADD_STYLE(wxTE_PROCESS_ENTER);
    ADD_STYLE(wxTE_PROCESS_TAB);
    ADD_STYLE(wxTE_MULTILINE);
    ADD_STYLE(wxTE_PASSWORD);
    ADD_STYLE(wxTE_READONLY);
    ADD_STYLE(wxHSCROLL);
    AddWindowStyles();
}

wxObject *wxTextCtrlXmlHandler::DoCreateResource()
{ // Difference from wxWindows 2.3.2 
	wxTextCtrl *text = wxDynamicCast(m_instance, wxTextCtrl);

	if ( text )
		text->Create( m_parentAsWindow,
                    GetID(),
                    GetText(wxT("value")),
                    GetPosition(), GetSize(),
                    GetStyle(),
                    wxDefaultValidator,
                    GetName() );
	else
		text = new wxTextCtrl( m_parentAsWindow,
                    GetID(),
                    GetText(wxT("value")),
                    GetPosition(), GetSize(),
                    GetStyle(),
                    wxDefaultValidator,
                    GetName() );

    SetupWindow(text);
    
    return text;
}



bool wxTextCtrlXmlHandler::CanHandle(wxXmlNode *node)
{
    return IsOfClass(node, wxT("wxTextCtrl"));
}


